Returns all details about a specific agent in the local registry
cURL
curl --request GET \ --url https://api.coralcloud.ai/api/v1/registry/local/{agentName}/{agentVersion} \ --header 'Authorization: Bearer <token>'
{ "registryAgent": { "info": { "capabilities": [ "resources" ], "identifier": { "name": "<string>", "version": "<string>", "registrySourceId": { "type": "linked", "linkedServerId": "<string>" } }, "description": "<string>", "readme": "<string>", "summary": "<string>", "license": { "type": "sdpx", "expression": "<string>" }, "keywords": [ "<string>" ], "links": {} }, "edition": 123, "runtimes": { "executable": { "path": "<string>", "arguments": [ "<string>" ], "transport": "sse" }, "docker": { "image": "<string>", "transport": "sse", "command": [ "<string>" ] }, "function": { "transport": "sse" } }, "options": {}, "exportSettings": {}, "marketplace": { "keywords": [ "<string>" ], "pricing": { "description": "<string>", "recommendations": { "min": 123, "max": 123 }, "currency": "<string>" }, "identities": { "erc8004": { "wallet": "<string>", "endpoints": [ { "name": "<string>", "endpoint": "<string>" } ] } } } }, "restrictions": [ { "type": "linked", "linkedServerId": "<string>" } ], "extension": { "type": "marketplace", "publishedAt": "<string>", "iconUrl": "<string>", "developer": "<string>" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The name of the agent
The version of the agent
Success
Show child attributes